<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<title>Special Ops / Installation Documentation</title>
<meta name="author" content="Ant P."/>
<link rel="top" href="/"/>
<link rel="stylesheet" href="../csslib/default.css"/>
<link rel="stylesheet" href="docs.css"/>
<link rel="stylesheet" href="../csslib/system/default.css"/>
</head>
<body>

<h1>Installation (2005-Oct-26)</h1>

<ul id="menubar">
<li><a href="." rel="contents">&crarr; Index</a></li>
</ul>

<div id="content">
<h2>Setup Requirements</h2>
<p>This code is designed for PHP 5.0 and MySQL 4.1. I'm not supporting anything earlier than these.</p>
<p>If you want to cling on to obsolete technology then you can go fuck yourself in the arse with a shovel.</p>

<h2>php.ini settings</h2>
<p>The following need to be set in <code>php.ini</code> for the boards to function:</p>
<ul>
	<li><code>arg_separator.input = ";"</code></li>
	<li><code>arg_separator.output = ";"</code></li>
	<li><code>magic_quotes_* = 0</code></li>
	<li><code>register_globals = 0</code></li>
</ul>

<h2>Setup</h2>
<ol>
	<li>You have two cows.</li>
	<li>Get the SQL file from somewhere and create a MySQL database using it.</li>
	<li>Go to <code>include/sqlconn.php</code> and put in the actual database information you'll be using.</li>
	<li>You might want to put something in <code>encryption.inc.php</code>.</li>
	<li>Create your user account using the <a href="../register.php">register.php</a> page. Set your userlevel to 60.</li>
	<li>Go to the moderator resources page and use the editor pages to do stuff. Or use phpMyAdmin.</li>
	<li>Put any premade theme CSS files in <code>csslib/system/</code>.
	Symlink the default one to <code>csslib/system/default.css</code>.
	If you don't know what a symlink is then just give up now.</li>
</ol>
</div>
</body>
</html>
